Commit 4c169a09 authored by Kenton Varda's avatar Kenton Varda

Merge branch 'master' of github.com:sandstorm-io/capnproto

parents 8f8227cf dcc9d133
linux-gcc-4.9 9752 ./super-test.sh tmpdir capnp-gcc-4.9 -j8 gcc-4.9
linux-gcc 9754 ./super-test.sh tmpdir capnp-gcc -j8
linux-clang-3.5 9889 ./super-test.sh tmpdir capnp-clang-3.5 -j8 compiler clang++-3.5
linux-clang-5.0 9892 ./super-test.sh tmpdir capnp-clang-5.0 -j8 compiler clang++-5.0
mac 7064 ./super-test.sh remote beat caffeinate
cygwin 8500 ./super-test.sh remote Kenton@flashman
linux-gcc-4.9 10518 ./super-test.sh tmpdir capnp-gcc-4.9 gcc-4.9
linux-gcc-4.8 9801 ./super-test.sh tmpdir capnp-gcc-4.8 gcc-4.8
linux-clang 10616 ./super-test.sh tmpdir capnp-clang clang
mac 7937 ./super-test.sh remote beat caffeinate
cygwin 9050 ./super-test.sh remote Kenton@flashman
exotic 5581 ./super-test.sh tmpdir exotic exotic
...@@ -2,14 +2,16 @@ ...@@ -2,14 +2,16 @@
set -euo pipefail set -euo pipefail
if (grep -r KJ_DBG c++/src | egrep -v '/debug(-test)?[.]'); then if [ "$1" != "package" ]; then
echo '*** Error: There are instances of KJ_DBG in the code.' >&2 if (grep -r KJ_DBG c++/src | egrep -v '/debug(-test)?[.]' | grep -v 'See KJ_DBG\.$'); then
exit 1 echo '*** Error: There are instances of KJ_DBG in the code.' >&2
fi exit 1
fi
if (egrep -r 'TODO\((now|soon)\)' *); then if (egrep -r 'TODO\((now|soon)\)' *); then
echo '*** Error: There are release-blocking TODOs in the code.' >&2 echo '*** Error: There are release-blocking TODOs in the code.' >&2
exit 1 exit 1
fi
fi fi
doit() { doit() {
...@@ -319,6 +321,12 @@ case "${1-}:$BRANCH" in ...@@ -319,6 +321,12 @@ case "${1-}:$BRANCH" in
fi fi
;; ;;
# ======================================================================================
package:* )
echo "Just building a package."
build_packages $(get_version '.*')
;;
# ====================================================================================== # ======================================================================================
*:master ) *:master )
echo "Invalid command for mainline branch. Only command is 'candidate'." >&2 echo "Invalid command for mainline branch. Only command is 'candidate'." >&2
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment